︠7e6b1a75-a970-4795-abd7-e403541fd6aa︠
def ftermSquare(n):
 return(1/n*sin(n*x*pi/3))

def ftermSawtooth(n):
 return(1/n*sin(n*x*pi/3))

def ftermParabola(n):
 return((-1)^n/n^2 * cos(n*x))

def fseriesSquare(n):
 return(4/pi*sum(ftermSquare(i) for i in range (1,2*n,2)))

def fseriesSawtooth(n):
 return(1/2-1/pi*sum(ftermSawtooth(i) for i in range (1,n)))

def fseriesParabola(n):
 return(pi^2/3 + 4*sum(ftermParabola(i) for i in range(1,n)))

@interact
def plotFourier(n=slider(1, 30,1,10,'Number of terms')
,plotpoints=('Value of plot_points',[100,500,1000]),Function=['Saw Tooth','Square Wave','Periodic Parabola']):
    if Function=='Saw Tooth':
     show(plot(fseriesSawtooth(n),x,-6,6,plot_points=plotpoints))
    if Function=='Square Wave':
     show(plot(fseriesSquare(n),x,-6,6,plot_points=plotpoints))
    if Function=='Periodic Parabola':
     show(plot(fseriesParabola(n),x,-6,6,plot_points=plotpoints))
︡faa88e18-ff43-42fa-b2e6-4c822efc8a13︡{"html": ""}︡
︠148a2798-7731-44f8-bc67-3688c42629ee︠
def ftermSquare(n):
 return(1/n*sin(n*x*pi/6))
 
def fseriesSquare(n):
 return(4/pi*sum(ftermSquare(i) for i in range (1,2*n,2)))
 
plot (fseriesSquare(150), 5.5, 5.999
︡566c31b1-4974-4662-8ab1-03a3e744929d︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠b23c127e-c614-449d-952d-44ef3de07995︠
a = cos(pi*x/2)
b = exp(-((x**2)/20))
plot([4, a*b], [-6, 6], axes = false)
︡f970991b-4d05-49ec-a549-632deb28d870︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
